Summary: GNU Line Editor
Name: ed
Version: 0.2
Release: 7
Copyright: GPL
Group: Applications/Editors
Source: ftp://prep.ai.mit.edu/pub/gnu/ed-0.2.tar.gz
Prereq: /sbin/install-info
BuildRoot: /var/tmp/ed-root

%description
This is the GNU line editor.  It is an implementation of one
of the first editors under *nix.  Some programs rely on it,
but in general you probably don't *need* it.

%changelog

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>

- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%prep
%setup

%build
./configure --prefix=/usr --exec-prefix=/
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s prefix=$RPM_BUILD_ROOT/usr \
     exec_prefix=$RPM_BUILD_ROOT install
gzip -fn $RPM_BUILD_ROOT/usr/info/ed.info

strip $RPM_BUILD_ROOT/bin/ed

%post
/sbin/install-info /usr/info/ed.info.gz /usr/info/dir --entry="* ed: (ed).                  The GNU Line Editor."

%preun
if [ $1 = 0]; then
/sbin/install-info --delete /usr/info/ed.info.gz /usr/info/dir --entry="* ed: (ed).                  The GNU Line Editor."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS POSIX README THANKS
/bin/ed
/bin/red
/usr/info/ed.info.gz
/usr/man/man1/ed.1
/usr/man/man1/red.1
